---------------------------
--   Resistor variable   --
---------------------------

library ieee;
use ieee.math_real.all,ieee.std_logic_1164.all;
use work.biological_systems.all;
use work.all;

entity resvar_DsRed_ARNm_miR141 is
	generic (coef : real);
	port (terminal a, b : DsRed_ARNm
		  ;
		  terminal miR141_term : miR141;
		  terminal miR142_term : miR142;
		  terminal miR146a_term : miR146a); 
end resvar_DsRed_ARNm_miR141;


architecture conservative of resvar_DsRed_ARNm_miR141 is

	constant Kxa : real := 0.01;
	constant ktr : real := 0.8;
	constant na : real := 2.0;
	
	quantity kdegr : real;

	quantity CmiR141 across miR141_term to miR141_cell;
quantity CmiR142 across miR142_term to miR142_cell;
quantity CmiR146a across miR146a_term to miR146a_cell;

	quantity Cres across Fres through a to b;

begin

	kdegr == ktr/((1.0+(Kxa/(CmiR141+CmiR142+CmiR146a+0.000000000000000001))**na));

	Cres == Fres*(1.0/(coef * (kdegr+1.0e-12)));
	
end conservative;

