---------------------------
--   Resistor variable   --
---------------------------

library ieee;
use ieee.math_real.all,ieee.std_logic_1164.all;
use work.biological_systems.all;
use work.all;

entity resvar_LacI_ARNm_miR17 is
	generic (coef : real);
	port (terminal a, b : LacI_ARNm
		  ;
		  terminal miR17_term : miR17;
		  terminal miR30a_term : miR30a); 
end resvar_LacI_ARNm_miR17;


architecture conservative of resvar_LacI_ARNm_miR17 is

	constant Kxa : real := 0.5;
	constant ktr : real := 0.1;
	constant na : real := 2.0;
	
	quantity kdegr : real;

	quantity CmiR17 across miR17_term to miR17_cell;
quantity CmiR30a across miR30a_term to miR30a_cell;

	quantity Cres across Fres through a to b;

begin

	kdegr == ktr/((1.0+(Kxa/(CmiR17+CmiR30a+0.000000000000000001))**na));

	Cres == Fres*(1.0/(coef * (kdegr+1.0e-12)));
	
end conservative;

