-- ENSPS - Igem project
-- Version 1
-- May 2011

-------------------------------
--       PATTERN FILE        --
--   Test Bench Genaration   --
-------------------------------
LIBRARY IEEE;
USE IEEE.STD_LOGIC_1164.ALL;
use work.biological_systems.all;
USE work.all;

ENTITY E_Xie_system IS
END ENTITY;


ARCHITECTURE Xie_system OF E_Xie_system IS

   -- Signals declaration
signal s_Act,s_miR141_Act,s_miR142_Act,s_miR146a_Act,s_miR17_Act,s_miR21_Act,s_miR30a_Act : std_logic := '0';
terminal Act_term : Act;
terminal LacI_term : LacI;
terminal DsRed_term : DsRed;
terminal rtTA_term : rtTA;
terminal Rep_term : Rep;
terminal miR141_Act_term : miR141_Act;
terminal miR141_term : miR141;
terminal miR142_Act_term : miR142_Act;
terminal miR142_term : miR142;
terminal miR146a_Act_term : miR146a_Act;
terminal miR146a_term : miR146a;
terminal miR17_Act_term : miR17_Act;
terminal miR17_term : miR17;
terminal miR21_Act_term : miR21_Act;
terminal miR21_term : miR21;
terminal miR30a_Act_term : miR30a_Act;
terminal miR30a_term : miR30a;
quantity CAct across FAct through Act_cell to Act_term;
quantity CmiR141_Act across FmiR141_Act through miR141_Act_cell to miR141_Act_term;
quantity CmiR142_Act across FmiR142_Act through miR142_Act_cell to miR142_Act_term;
quantity CmiR146a_Act across FmiR146a_Act through miR146a_Act_cell to miR146a_Act_term;
quantity CmiR17_Act across FmiR17_Act through miR17_Act_cell to miR17_Act_term;
quantity CmiR21_Act across FmiR21_Act through miR21_Act_cell to miR21_Act_term;
quantity CmiR30a_Act across FmiR30a_Act through miR30a_Act_cell to miR30a_Act_term;



BEGIN

  -- Mapping
E_DsRed_synth : entity DsRed_synth(conservative)				port map(
				Act_term => Act_term,
				LacI_term => LacI_term,
				miR141_term => miR141_term,
				miR142_term => miR142_term,
				miR146a_term => miR146a_term,
				Prot_term => DsRed_term);
E_DsRed_capacitor : entity DsRed_capacitor(conservative)				port map(
				a => DsRed_term,
				b => DsRed_CELL				);
E_LacI_synth1 : entity LacI_synth1(conservative)				port map(
				rtTA_term => rtTA_term,
				Rep_term => Rep_term,
				miR21_term => miR21_term,
				Prot_term => LacI_term);
E_LacI_capacitor : entity LacI_capacitor(conservative)				port map(
				a => LacI_term,
				b => LacI_CELL				);
E_LacI_synth2 : entity LacI_synth2(conservative)				port map(
				rtTA_term => rtTA_term,
				Rep_term => Rep_term,
				miR17_term => miR17_term,
				miR30a_term => miR30a_term,
				Prot_term => LacI_term				);
E_miR141_synth : entity miR141_synth(conservative)				port map(
				miR141_Act_term => miR141_Act_term,
				Rep_term => Rep_term,
				Prot_term => miR141_term);
E_miR141_capacitor : entity miR141_capacitor(conservative)				port map(
				a => miR141_term,
				b => miR141_CELL				);
E_miR142_synth : entity miR142_synth(conservative)				port map(
				miR142_Act_term => miR142_Act_term,
				Rep_term => Rep_term,
				Prot_term => miR142_term);
E_miR142_capacitor : entity miR142_capacitor(conservative)				port map(
				a => miR142_term,
				b => miR142_CELL				);
E_miR146a_synth : entity miR146a_synth(conservative)				port map(
				miR146a_Act_term => miR146a_Act_term,
				Rep_term => Rep_term,
				Prot_term => miR146a_term);
E_miR146a_capacitor : entity miR146a_capacitor(conservative)				port map(
				a => miR146a_term,
				b => miR146a_CELL				);
E_miR17_synth : entity miR17_synth(conservative)				port map(
				miR17_Act_term => miR17_Act_term,
				Rep_term => Rep_term,
				Prot_term => miR17_term);
E_miR17_capacitor : entity miR17_capacitor(conservative)				port map(
				a => miR17_term,
				b => miR17_CELL				);
E_miR21_synth : entity miR21_synth(conservative)				port map(
				miR21_Act_term => miR21_Act_term,
				Rep_term => Rep_term,
				Prot_term => miR21_term);
E_miR21_capacitor : entity miR21_capacitor(conservative)				port map(
				a => miR21_term,
				b => miR21_CELL				);
E_miR30a_synth : entity miR30a_synth(conservative)				port map(
				miR30a_Act_term => miR30a_Act_term,
				Rep_term => Rep_term,
				Prot_term => miR30a_term);
E_miR30a_capacitor : entity miR30a_capacitor(conservative)				port map(
				a => miR30a_term,
				b => miR30a_CELL				);
E_rtTA_synth1 : entity rtTA_synth1(conservative)				port map(
				Act_term => Act_term,
				Rep_term => Rep_term,
				miR21_term => miR21_term,
				Prot_term => rtTA_term);
E_rtTA_capacitor : entity rtTA_capacitor(conservative)				port map(
				a => rtTA_term,
				b => rtTA_CELL				);
E_rtTA_synth2 : entity rtTA_synth2(conservative)				port map(
				Act_term => Act_term,
				Rep_term => Rep_term,
				miR17_term => miR17_term,
				miR30a_term => miR30a_term,
				Prot_term => rtTA_term				);
 

  -- Signal Variations
	break on s_Act;
	if s_Act='1' use
	        CAct == 1.0;
	else
	        CAct == 0.0;
	end use;
	break on s_miR141_Act;
	if s_miR141_Act='1' use
	        CmiR141_Act == 1.0;
	else
	        CmiR141_Act == 0.0;
	end use;
	break on s_miR142_Act;
	if s_miR142_Act='1' use
	        CmiR142_Act == 1.0;
	else
	        CmiR142_Act == 0.0;
	end use;
	break on s_miR146a_Act;
	if s_miR146a_Act='1' use
	        CmiR146a_Act == 1.0;
	else
	        CmiR146a_Act == 0.0;
	end use;
	break on s_miR17_Act;
	if s_miR17_Act='1' use
	        CmiR17_Act == 1.0;
	else
	        CmiR17_Act == 0.0;
	end use;
	break on s_miR21_Act;
	if s_miR21_Act='1' use
	        CmiR21_Act == 1.0;
	else
	        CmiR21_Act == 0.0;
	end use;
	break on s_miR30a_Act;
	if s_miR30a_Act='1' use
	        CmiR30a_Act == 1.0;
	else
	        CmiR30a_Act == 0.0;
	end use;
	s_Act <= '1';
	s_miR141_Act <= '0',
                   '1' after 400 sec,
                   '0' after 440 sec,
                   '1' after 880 sec;
	s_miR142_Act <= '0',
                   '1' after 560 sec,
                   '0' after 600 sec,
                   '1' after 880 sec;
	s_miR146a_Act <= '0',
                   '1' after 720 sec,
                   '0' after 760 sec,
                   '1' after 880 sec;
	s_miR17_Act <= '0',
                   '1' after 150 sec;
	s_miR21_Act <= '0',
                   '1' after 50 sec,
                   '0' after 100 sec,
                   '1' after 250 sec;
	s_miR30a_Act <= '0',
                   '1' after 150 sec;
						 			

END ARCHITECTURE;

