library IEEE;
    use IEEE.FUNDAMENTAL_CONSTANTS.all;

package BIOLOGICAL_SYSTEMS is
   -- type declarations

   -- subtype declarations
   subtype CONCENTRATION     is REAL tolerance "DEFAULT_CONCENTRATION";
   subtype FLUX     is REAL tolerance "DEFAULT_FLUX";

   -- nature declarations

   nature BIOLOGICAL is
      CONCENTRATION        across
      FLUX        through
      BIOLOGICAL_REF reference;

      nature Act is
      CONCENTRATION        across
      FLUX        through
      Act_REF reference;

   nature LacI is
      CONCENTRATION        across
      FLUX        through
      LacI_REF reference;

   nature LacI_arnm is
      CONCENTRATION        across
      FLUX        through
      LacI_ARNM_REF reference;

   nature DsRed is
      CONCENTRATION        across
      FLUX        through
      DsRed_REF reference;

   nature DsRed_arnm is
      CONCENTRATION        across
      FLUX        through
      DsRed_ARNM_REF reference;

   nature rtTA is
      CONCENTRATION        across
      FLUX        through
      rtTA_REF reference;

   nature rtTA_arnm is
      CONCENTRATION        across
      FLUX        through
      rtTA_ARNM_REF reference;

   nature Rep is
      CONCENTRATION        across
      FLUX        through
      Rep_REF reference;

   nature miR141_Act is
      CONCENTRATION        across
      FLUX        through
      miR141_Act_REF reference;

   nature miR141 is
      CONCENTRATION        across
      FLUX        through
      miR141_REF reference;

   nature miR141_arnm is
      CONCENTRATION        across
      FLUX        through
      miR141_ARNM_REF reference;

   nature miR142_Act is
      CONCENTRATION        across
      FLUX        through
      miR142_Act_REF reference;

   nature miR142 is
      CONCENTRATION        across
      FLUX        through
      miR142_REF reference;

   nature miR142_arnm is
      CONCENTRATION        across
      FLUX        through
      miR142_ARNM_REF reference;

   nature miR146a_Act is
      CONCENTRATION        across
      FLUX        through
      miR146a_Act_REF reference;

   nature miR146a is
      CONCENTRATION        across
      FLUX        through
      miR146a_REF reference;

   nature miR146a_arnm is
      CONCENTRATION        across
      FLUX        through
      miR146a_ARNM_REF reference;

   nature miR17_Act is
      CONCENTRATION        across
      FLUX        through
      miR17_Act_REF reference;

   nature miR17 is
      CONCENTRATION        across
      FLUX        through
      miR17_REF reference;

   nature miR17_arnm is
      CONCENTRATION        across
      FLUX        through
      miR17_ARNM_REF reference;

   nature miR21_Act is
      CONCENTRATION        across
      FLUX        through
      miR21_Act_REF reference;

   nature miR21 is
      CONCENTRATION        across
      FLUX        through
      miR21_REF reference;

   nature miR21_arnm is
      CONCENTRATION        across
      FLUX        through
      miR21_ARNM_REF reference;

   nature miR30a_Act is
      CONCENTRATION        across
      FLUX        through
      miR30a_Act_REF reference;

   nature miR30a is
      CONCENTRATION        across
      FLUX        through
      miR30a_REF reference;

   nature miR30a_arnm is
      CONCENTRATION        across
      FLUX        through
      miR30a_ARNM_REF reference;


	  
   attribute UNIT of CONCENTRATION       : subtype is "Concentration";
   attribute UNIT of FLUX     		     : subtype is "Protein";
   
   attribute SYMBOL of CONCENTRATION     : subtype is "C";
   attribute SYMBOL of FLUX     		 : subtype is "P";

   alias CELL is BIOLOGICAL_REF;
   
      alias Act_CELL is Act_REF;
   alias LacI_CELL is LacI_REF;
   alias LacI_ARNM_CELL is LacI_ARNM_REF;
   alias DsRed_CELL is DsRed_REF;
   alias DsRed_ARNM_CELL is DsRed_ARNM_REF;
   alias rtTA_CELL is rtTA_REF;
   alias rtTA_ARNM_CELL is rtTA_ARNM_REF;
   alias Rep_CELL is Rep_REF;
   alias miR141_Act_CELL is miR141_Act_REF;
   alias miR141_CELL is miR141_REF;
   alias miR141_ARNM_CELL is miR141_ARNM_REF;
   alias miR142_Act_CELL is miR142_Act_REF;
   alias miR142_CELL is miR142_REF;
   alias miR142_ARNM_CELL is miR142_ARNM_REF;
   alias miR146a_Act_CELL is miR146a_Act_REF;
   alias miR146a_CELL is miR146a_REF;
   alias miR146a_ARNM_CELL is miR146a_ARNM_REF;
   alias miR17_Act_CELL is miR17_Act_REF;
   alias miR17_CELL is miR17_REF;
   alias miR17_ARNM_CELL is miR17_ARNM_REF;
   alias miR21_Act_CELL is miR21_Act_REF;
   alias miR21_CELL is miR21_REF;
   alias miR21_ARNM_CELL is miR21_ARNM_REF;
   alias miR30a_Act_CELL is miR30a_Act_REF;
   alias miR30a_CELL is miR30a_REF;
   alias miR30a_ARNM_CELL is miR30a_ARNM_REF;

   
end package BIOLOGICAL_SYSTEMS;

